<?php
$timestart = microtime(true);

define('DOWN_rekl', 'moboc.ru_'); // реклама в именах при скачке





// Ниже не трогать блеать!
function get_capcha($get_url)
{
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $get_url);
curl_setopt($ch, CURLOPT_HEADER,0);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_REFERER, 'http://google.ru');
curl_setopt($ch, CURLOPT_COOKIEJAR, 'sess.txt');
curl_setopt($ch, CURLOPT_COOKIEFILE, 'sess.txt');
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 30);
curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla Firefox 3 (compatible; MSIE 6.0; LAS Linux)');

echo curl_exec($ch);
curl_close($ch);
}

function get_post($post_url, $post_data, $data)
{
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $post_url);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_REFERER, 'http://google.ru');
curl_setopt($ch, CURLOPT_COOKIEFILE, 'sess.txt');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 60);
curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla Firefox 3 (compatible; MSIE 6.0; LAS Linux)");

$data = curl_exec($ch);
curl_close($ch);
return $data;
}
?>